Reset the secret token for an APM resource.
https://api.elastic-cloud.com/api/v1
- POST /deployments/{deployment_id}/apm/{ref_id}/_reset-token
Reset the token of an APM resource.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment.
-
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one).
Responses
Response containing the new secret token, plan to apply it starts
-
apm_idstring -
For an operation creating or updating an APM server, the Id of that server
-
secret_tokenstringrequired -
The secret token for accessing the server
-
diagnosticsobject -
If the endpoint is called with URL param 'validate_only=true', then this contains advanced debug info (the internal plan representation)
Reset token is not supported when APM is managed by Elastic Agent. (code: clusters.cluster_plan_state_error)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
We have failed you. (code: deployments.deployment_resource_no_longer_exists)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response